<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('services', function (Blueprint $table) {
            $table->string('title_bn')->nullable()->after('title_fr');
            $table->text('desc_bn')->nullable()->after('desc_fr');
            $table->json('features_bn')->nullable()->after('features_fr');
        });
    }

    public function down(): void
    {
        Schema::table('services', function (Blueprint $table) {
            $table->dropColumn(['title_bn', 'desc_bn', 'features_bn']);
        });
    }
};
